<template>
  <simple-item
    v-if="item.typeItem === 'SIMPLE'"
    :item="item"
    @clicked="$emit('SWITCH_CHECK')"
    @setup-create="$emit('setup-create')"
    :collection-id="collectionId"
    :tabindex="tabindex"
    :focus-on-mount="focusOnMount"
  ></simple-item>
  <group-item
    v-else-if="item.typeItem === 'SUBGROUP'"
    :item="item"
    @clicked="$router.push({ name: 'group', params: { itemId: item.id } })"
    @setup-create="$emit('setup-create')"
    :collection-id="collectionId"
    :tabindex="tabindex"
    :focus-on-mount="focusOnMount"
  ></group-item>
  <counter-item
    v-else-if="item.typeItem === 'COUNTER'"
    :item="item"
    @CLICKED="$router.push({ name: 'group', params: { itemId: item.id } })"
    @setup-create="$emit('setup-create')"
    :collection-id="collectionId"
    :tabindex="tabindex"
    :focus-on-mount="focusOnMount"
  ></counter-item>
  <v-card
    v-else
    color="warning"
  >
    Unable to render : {{ item }}
  </v-card>
</template>

<script>
import SimpleItem from '@/components/item/simple/simple-item.vue'
import GroupItem from '@/components/item/group/group-item.vue'
import CounterItem from '@/components/item/counter/counter-item.vue'

export default {
  components: { CounterItem, GroupItem, SimpleItem, },
  props: {
    item: {
      type: Object,
      required: true
    },
    tabindex: {
      type: Number,
      required: true
    },
    collectionId: {
      type: String,
      required: true
    },
    focusOnMount: {
      type: Boolean,
      default: false
    }
  }
}
</script>

<style lang="scss" scoped>

</style>